<?php

declare(strict_types=1);

namespace App\Framework\Core;

final readonly class StaticRoute implements Route
{
    public function __construct(
        public string $controller,
        public string $action,
        public array $parameters,
        public string $name = '',
        public string $path = '',
        public array $attributes = []
    ) {}
}
